<?php
/*
	Plugin Name: Stats Wp
	Plugin URI: http://wpreviewed.weebly.com
	Description: Very simlpe plugin to track your visitors and check the statistics on your page.
	Version: 1.0
	Author: Joshoua Miller
	Author URI: http://wpreviewed.weebly.com
	License: GPLv2 or Later
	
	Copyright 2014  Joshoua Miller  (email : joshforyou@mail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

	function statswp_modify_menu(){
		add_menu_page( 'advanced stats wp', 'Stats wp', 'manage_options', 'stats-wp', 'statswp_options' );
	}
	
	add_action('admin_menu','statswp_modify_menu');

	function statswp_options(){
		include('statswp-admin.php');
	}
	
	define('statswp_url',WP_PLUGIN_URL."/advanced-stats-wp/");
	
	register_activation_hook(WP_PLUGIN_DIR.'/advanced-stats-wp/advanced-stats-wp.php','set_adstatswp_options');
	
	function set_adstatswp_options(){
		global $wpdb;
		$ins_q = "CREATE TABLE IF NOT EXISTS ".$wpdb->prefix."astats_stat (		
			`id` int(11) NOT NULL AUTO_INCREMENT,
  			`ip` varchar(100) NOT NULL,
  			`referrer` varchar(5000) NOT NULL,
  			`ua` varchar(5000) NOT NULL,
  			`page` varchar(5000) NOT NULL,
  			`vcount` int(10) NOT NULL,
  			`vtime` datetime NOT NULL,
  			PRIMARY KEY (`id`)
		) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1";
		$wpdb->query($ins_q);
	}
	
	function statswp_enqueue() {	
		wp_enqueue_script( 'statswp-js-script', statswp_url . 'adstatswp.script.js', array( 'jquery' ));
		wp_localize_script( 'statswp-js-script', 'statswpajx', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ),'checkReq' => wp_create_nonce( 'astatswpthrequst51qa' )));
	}
	add_action( 'wp_enqueue_scripts', 'statswp_enqueue' );
	
	add_action( "wp_ajax_statswp_add", "statswp_add" );
	add_action( "wp_ajax_nopriv_statswp_add", "statswp_add" );
	
	
	function statswp_add(){
		
		if(!isset($_POST['checkReq']) || !wp_verify_nonce( $_POST['checkReq'], 'astatswpthrequst51qa' )){
			exit;
		}
		$page = esc_url($_POST['path']);
		
		global $wpdb;
	
		$u_ip = $_SERVER['REMOTE_ADDR'];
		$u_ua = $_SERVER['HTTP_USER_AGENT'];
		$referrer = $_SERVER['HTTP_REFERER'];
		
		$check = $wpdb->get_results("select id from ".$wpdb->prefix."astats_stat where ip = '".$u_ip."' and page = '".$page."'");
		if($check){
			$query = "update ".$wpdb->prefix."astats_stat set vcount = vcount+1,vtime = now() where ip = '".$u_ip."' and page = '".$page."'";
			$wpdb->query($query);
		}
		else
		{
			$query = "insert into ".$wpdb->prefix."astats_stat (ip,referrer,ua,page,vcount,vtime) values('".$u_ip."','".$referrer."','".$u_ua."','".$page."',1,now())";
			$wpdb->query($query);
		}
		exit;
	}